> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2publicfunnel



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/public/funnel/{id}
openapi: 3.0.0
info:
  title: Osiro API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/public/funnel/{id}:
    get:
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: preview
          in: query
        - schema:
            type: string
          required: false
          name: token
          in: query
      responses:
        '200':
          description: Funnel found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicFunnel'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    PublicFunnel:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            created_at:
              type: string
            funnel_data:
              nullable: true
            lead_schema_id:
              type: string
              nullable: true
            organization:
              type: string
              nullable: true
            name:
              type: string
            theme:
              nullable: true
            status:
              type: string
            style_guide_id:
              type: string
              nullable: true
            external_domain:
              type: array
              nullable: true
              items:
                type: string
            gtm_id:
              type: string
              nullable: true
            gtm_script_url:
              type: string
              nullable: true
            meta_pixel_id:
              type: string
              nullable: true
            meta_test_event_code:
              type: string
              nullable: true
            style_guide:
              nullable: true
          required:
            - id
            - created_at
            - lead_schema_id
            - organization
            - name
            - status
            - style_guide_id
            - external_domain
            - gtm_id
            - gtm_script_url
            - meta_pixel_id
            - meta_test_event_code
      required:
        - data
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````